Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi
Class POITextExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor

Direct Known Subclasses:
  HPSFPropertiesExtractor, POIOLE2TextExtractor

    public abstract class POITextExtractor

extends java.lang.Object

Common Parent for Text Extractors of POI Documents. You will typically find the implementation of a given format's text extractor under org.apache.poi.[format].extractor .

See Also:
  `ExcelExtractor`, `org.apache.poi.hslf.extractor.PowerPointExtractor`, `org.apache.poi.hdgf.extractor.VisioTextExtractor`, `org.apache.poi.hwpf.extractor.WordExtractor`

Constructor Summary
`POITextExtractor(POIDocument document)` Creates a new text extractor for the given document

Method Summary
`abstract POITextExtractor` | `getMetadataTextExtractor()` Returns another text extractor, which is able to output the textual content of the document metadata / properties, such as author and title.
`abstract java.lang.String` | `getText()` Retrieves all the text from the document.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POITextExtractor

    public POITextExtractor(POIDocument document)

  Creates a new text extractor for the given document

Method Detail

### getText

    public abstract java.lang.String getText()

  Retrieves all the text from the document. How cells, paragraphs etc are separated in the text is implementation specific - see the javadocs for a specific project for details.

  Returns:
    All the text from the document

### getMetadataTextExtractor

    public abstract POITextExtractor getMetadataTextExtractor()

  Returns another text extractor, which is able to output the textual content of the document metadata / properties, such as author and title.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD